import request from '@/utils/request'

// 查询告警管理列表
export function listWarnManage(query) {
  return request({
    url: '/manage/warnManage/list',
    method: 'get',
    params: query
  })
}

// 查询告警管理详细
export function getWarnManage(warnId) {
  return request({
    url: '/manage/warnManage/' + warnId,
    method: 'get'
  })
}

// 新增告警管理
export function addWarnManage(data) {
  return request({
    url: '/manage/warnManage',
    method: 'post',
    data: data
  })
}

// 修改告警管理
export function updateWarnManage(data) {
  return request({
    url: '/manage/warnManage/put',
    method: 'post',
    data: data
  })
}

// 删除告警管理
export function delWarnManage(warnId) {
  return request({
    url: '/manage/warnManage/delete/' + warnId,
    method: 'get'
  })
}
